Name:           unison
Version:        2.10.2
Release:        4
Summary:        File-synchronization tool

Group:          Applications/File
License:        GPL
URL:            http://www.cis.upenn.edu/~bcpierce/unison
Source:         http://www.cis.upenn.edu/~bcpierce/unison/download/beta-test/unison-2.10.2/unison-2.10.2.tar.gz
Source1:        unison.png
Patch0:		unison-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ocaml >= 3.08, lablgtk >= 2.4.0, tetex-latex
BuildRequires:  desktop-file-utils
# for lablgtk
BuildRequires:  gtk2-devel

%description
Unison is a file-synchronization tool. It allows two replicas of a
collection of files and directories to be stored on different hosts
(or different disks on the same host), modified separately, and then
brought up to date by propagating the changes in each replica to the
other.

%prep
%setup -q
%patch0 -p1

%build
make %{?_smp_mflags} NATIVE=true UISTYLE=gtk2
#(cd doc; make)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -f unison $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -f %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps

cat > unison.desktop <<EOF
[Desktop Entry]
Type=Application
Exec=unison
Name=Unison File Synchronizer
GenericName=File Synchronizer
Comment=Replicate files over different hosts or disks
Terminal=false
Icon=unison.png
Encoding=UTF-8
StartupNotify=true
EOF

desktop-file-install --vendor fedora \
    --add-category X-Fedora-Extra \
    --add-category Application \
    --add-category Accessories \
    --add-category Utility \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    unison.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README
#%doc doc/unison-manual.pdf
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Mon May 16 2005 Gerard Milmeister <gemi@bluewin.ch> - 2.10.2-4
- Patch: http://groups.yahoo.com/group/unison-users/message/3200

* Thu Feb 24 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:2.10.2-2
- BR gtk2-devel
- Added NEWS and README docs

* Sat Feb 12 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.10.2-1
- New Version 2.10.2

* Wed Apr 28 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:2.9.74-0.fdr.1
- New Version 2.9.74
- Added icon

* Tue Jan 13 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:2.9.72-0.fdr.1
- New Version 2.9.72

* Tue Dec  9 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.9.70-0.fdr.2
- Changed Summary
- Added .desktop file

* Fri Oct 31 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.9.70-0.fdr.1
- First Fedora release
